{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    Past Attendance reports
{% endblock %}

{% block rightPane %}
    {% if perms.curriculum.can_view_my_timetable %}
        <div class="row" xmlns="http://www.w3.org/1999/html">
            <div class="x_panel">
                <div class="x_title">
                    <h2>
                        <i class="icomoon icon-calendar"></i> Past Attendance reports
                    </h2>
                    <div class="clearfix"></div>
                </div>
                <div class="row">
                    <div class="col-md-12 col-sm-12 col-xs-12">
                        <form id="submit_form" class="form-horizontal form-label-left" method="POST">{% csrf_token %}

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                    Department
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <select name="department" id="department" class="form-control"
                                            required>
                                        <option disabled selected>-----------</option>
                                        {% for each in department_list %}
                                            <option value="{{ each.id }}">{{ each.acronym }}</option>
                                        {% endfor %}
                                    </select>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                    Batch
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <select name="batch" id="batch" class="form-control"
                                            required>
                                        <option disabled selected>-----------</option>
                                        {% for each in batch_list %}
                                            <option value="{{ each.id }}">{{ each }}
                                                - {{ each.programme }}</option>
                                        {% endfor %}
                                    </select>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                    Semester
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <select name="semester" id="semester" class="form-control"
                                            required>
                                        <option disabled selected>-----------</option>
                                    </select>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                    Course
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <select name="course" id="course" class="form-control"
                                            required>
                                        <option disabled selected>-----------</option>
                                    </select>
                                </div>
                            </div>

                            <br>

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <button type="submit" class="btn1 btn-blue-grey1">Fetch Attendance report
                                    </button>
                                </div>
                            </div>

                        </form>
                    </div>
                </div>
                {% if no_attendance %}
                    <br><br>
                    <div role="alert" class="alert alert-warning alert-dismissible fade in">
                        <h4 align="center"> No Timetable found for <strong>{{ batch_instance }}</strong> in
                            semester <strong>{{ semester_number }}</strong></h4>
                    </div>
                {% endif %}

            </div>
        </div>
    {% endif %}

    <form id="dummy_form" method="POST">
        {% csrf_token %}
    </form>

    <script type="text/javascript">

        var current_active_batch;
        //For getting CSRF token
        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }
        $(document).on("change", '#batch', function (e) {
            var department = $('#department').val();
            var batch = $(this).val();
            //alert(batch);

            $.ajax({
                type: "POST",
                data: {
                    batch: batch,
                    department: department,
                    action: 'get_semester_plans',
                    csrfmiddlewaretoken: getCookie('csrftoken')
                },
                url: '{% url 'previous_attendance_reports' %}',
                success: function (data) {
                    available_semesters = data.available_semesters;
                    if (available_semesters.length == 0) {
                        alert('No semester plan available');
                    }
                    $('#semester').empty();
                    $('#semester').append('<option disabled selected>' + '-----------' + '</option>');
                    var i;
                    var temp;
                    for (i = 0; (temp = available_semesters[i]); i++) {
                        $('#semester').append('<option value="' + temp['semester_pk'] + '">' + temp['semester_display_text'] + '</option>');
                    }
                }
            });

        });

        $(document).on("change", '#semester', function (e) {
            var department = $('#department').val();
            var batch = $('#batch').val();
            var semester = $(this).val();
            alert(batch);
            alert(department);
            alert(semester);

            $.ajax({
                type: "POST",
                data: {
                    batch: batch,
                    semester_pk: semester,
                    department: department,
                    action: 'get_courses',
                    csrfmiddlewaretoken: getCookie('csrftoken')
                },
                url: '{% url 'previous_attendance_reports' %}',
                success: function (data) {
                    list_of_courses = data.list_of_courses;
                    $('#course').empty();
                    $('#course').append('<option disabled selected>' + '-----------' + '</option>');
                    var i;
                    var temp;
                    for (i = 0; (temp = list_of_courses[i]); i++) {
                        $('#course').append('<option value="' + temp['course_pk'] + '">' + temp['course_id'] + ' - ' + temp['course_name'] + '</option>');
                    }
                }
            });

        });

        $(document).on("submit", '#submit_form', function (e) {

            e.preventDefault();

            var $hiddenInput = $('<input/>', {
                type: 'hidden',
                value: getCookie('csrftoken'),
                name: 'csrfmiddlewaretoken'
            });
            $hiddenInput.appendTo('form');

            var $hiddenInput = $('<input/>', {type: 'hidden', value: $('#batch').val(), name: 'batch_id'});
            $hiddenInput.appendTo('form');

            var $hiddenInput = $('<input/>', {type: 'hidden', value: $('#department').val(), name: 'department'});
            $hiddenInput.appendTo('form');

            var $hiddenInput = $('<input/>', {type: 'hidden', value: $('#semester').val(), name: 'semester_pk'});
            $hiddenInput.appendTo('form');

            $('#dummy_form').submit();

        });

    </script>

{% endblock %}